sc::SphereShape(3)

NAME
sc::SphereShape -

SYNOPSIS

Inherits sc::Shape.

  Public Member Functions
SphereShape (const SCVector3 &, double)
SphereShape (const Ref< KeyVal > &)
SphereShape (const SphereShape &)
void boundingbox (double minvalue, double maxvalue, SCVector3 &p1, SCVector3 &p2)
double radius () const
const SCVector3 & origin () const
double distance_to_surface (const SCVector3 &r, SCVector3 *grad=0) const
void print (std::ostream &o=ExEnv::out0()) const
Print information about the object.
double radius (double r)
const SCVector3 & origin (const SCVector3 &o)
int gradient_implemented () const

  Additional Inherited Members

Author

Generated automatically by Doxygen for MPQC from the source code.